## org.apache.batik.dom.svg
Class SVGOMAnimatedPoints

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedPoints

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedPoints

public class SVGOMAnimatedPoints
extends java.lang.Object
implements SVGAnimatedPoints, LiveAttributeValue

This class is the implementation of the SVGAnimatedPoints interface.

Nested Class Summary
`class` `SVGOMAnimatedPoints.SVGOMPointList` SVGPointList implementation for the static 'points' attribute of the element.

Field Summary
`protected boolean` `changing` Whether the list is changing.
`protected java.lang.String` `defaultValue` Default value for the 'points' attribute.
`protected AbstractElement` `element` The associated element.
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.
`protected AbstractSVGPointList` `points` SVGPointList mapping the static 'points' attribute.

Constructor Summary
`SVGOMAnimatedPoints(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String defaultValue)`

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`SVGPointList` `getAnimatedPoints()`
`SVGPointList` `getPoints()` return the SVGPointList mapping the static 'points' attribute of the element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### changing

    protected boolean changing

  Whether the list is changing.

### points

    protected AbstractSVGPointList points

  SVGPointList mapping the static 'points' attribute.

### defaultValue

    protected java.lang.String defaultValue

  Default value for the 'points' attribute.

Constructor Detail

### SVGOMAnimatedPoints

    public SVGOMAnimatedPoints(AbstractElement elt,
                               java.lang.String ns,
                               java.lang.String ln,
                               java.lang.String defaultValue)

Method Detail

### getPoints

    public SVGPointList getPoints()

  return the SVGPointList mapping the static 'points' attribute of the element

  Specified by:
    `getPoints` in interface `SVGAnimatedPoints`
  Returns:
    a point list.

### getAnimatedPoints

    public SVGPointList getAnimatedPoints()

  Specified by:
    `getAnimatedPoints` in interface `SVGAnimatedPoints`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.